/* General Styles */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    font-family: Arial, sans-serif;
    background: #14161e; /* Dark purple */
    color: #fff;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    height: 100vh;
    overflow: hidden; /* Prevent scroll */
}
#register_button {
    height: 10vh;
    width: 50vw;
    background-color: #14161e;
    color: white;
    border: 0.2vw solid rgb(34, 34, 59);
    font-size: fit-content;
    border-radius: 20px;
    z-index: 1000;
}

#register_button:hover {
    cursor: pointer;
}

/* Centered Logo Styles */
.centered-logo {
    text-align: center;
    position: relative;
    width: 100%;
    height: 30%; /* Adjust height to control the container size */
    display: flex;
    justify-content: center;
    align-items: center;
}

.centered-logo img {
    position: relative;
    top: -20%; /* Shift the image up by 10% of the container height */
    width: auto; /* Maintain aspect ratio */
    max-width: 70%;
    height: auto; /* Maintain aspect ratio */
}

/* Media Query for Mobile Devices */
@media (max-width: 600px) {
    .centered-logo {
        height: 50vh;
    }

    .centered-logo img {
        top: 0;
        max-width: 90%;
    }
}
